QuickBooks Cannot Use Internet Explorer 9 (updated)

QuickBooks cannot use Internet Explorer 9 properly. This refers to the IE 9 BETA, which is now only available in Windows 7 and Vista.

CORRECTION, FROM CHARLIE RUSSELL BELOW: THIS REFERS TO THE PRODUCTION  VERSION OF IE 9, NOT THE BETA.

QuickBooks must use Internet Explorer as a browser. This relates to very old and polite Microsoft pressure and bribery, to which Scott Cook (Intuit founder) testified in the Microsoft anti-trust case. Even if your you use Firefox or Chrome, you must use Internet Explorer for all QuickBooks features. Intuit once stood for integrity, so why did they not become browser independent once they admitted to accepting this Microsoft bribe?

In quick IE9 and QuickBooks tests, most QuickBooks features work. However, QuickBooks cannot use internet Explorer 9 properly in its Loan Manager or Cash Flow Projector. QuickBooks 2011 instead gets a Visual Basic error.

The tests included Windows 7 and Vista, with QuickBooks 2011 (Enterprise and Premier) and QuickBooks 2010 (Enterprise and Premier), on 64 bit and 32 bit systems.

In a  test of Premier 2009, Loan Manager ran fine, though the same system QuickBooks cannot use Internet Explorer 9 properly with Premier 2010 and Loan Manager. 

Please note that all tests were done with only US versions.

My thanks to Charlie Russell, one of the top QuickBooks experts, for his linked article AND HIS CORRECTION.

 

Tags:

About the Author ()

Fastest, easiest, accurate, low-cost QuickBooks! Intuit - QuickBooks CEO, "You're fantastic Mike! Absolutely fantastic!" Tax fighting CPA.

Comments (2)

Trackback URL | Comments RSS Feed

  1. Ccrussell says:

    Thanks for the reference to my original blog article on this, Mike.
    A correction, though – this isn’t about the BETA version of IE9 – this is about the PRODUCTION version of IE9 which Microsoft released this week. All of the tests that you refer to I did with the production, non-beta version of IE9.

%d bloggers like this: